petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetFunction

Returns the vector where the function is stored.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetFunction(SNES snes,Vec *r,PetscErrorCode (**f)(SNES,Vec,Vec,void*),void **ctx)

Not Collective, but Vec is parallel if SNES is parallel. Collective if Vec is requested, but has not been created yet.

### Input Parameter

snes -the SNES context

### Output Parameter

| r | - the vector that is used to store residuals (or NULL if you don't want it)
| f | - the function (or NULL if you don't want it); see SNESFunction for calling sequence details
| ctx | - the function context (or NULL if you don't want it)

Notes: The vector r DOES NOT, in general contain the current value of the SNES nonlinear function

### See Also

SNESSetFunction(), SNESGetSolution(), SNESFunction

### Level

advanced

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex5f.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages